Jump to content

  • Log In with Google      Sign In   
  • Create Account

Multitexturing?


Old topic!
Guest, the last post of this topic is over 60 days old and at this point you may not reply in this topic. If you wish to continue this conversation start a new topic.

  • You cannot reply to this topic
5 replies to this topic

#1 PGmeiner   Members   -  Reputation: 122

Like
Likes
Like

Posted 21 August 2001 - 11:56 PM

Hello, I have just a little question about the extensions of OpenGL like multitexturing and so on. What are the requirements for my machine to support these extensions. Need I a graphic card who support this feature or the newest OpenGL-Version ?? thanks

Sponsor:

#2 Null and Void   Moderators   -  Reputation: 1087

Like
Likes
Like

Posted 22 August 2001 - 12:43 AM

Check the extensions string for your card. Any card that supports OpenGL 1.2 and up will have it though (It''s not an extension in 1.2 and up, but since MS won''t give you libraries for anything except 1.1, you have to pretend it is ).

[Resist Windows XP''s Invasive Production Activation Technology!]

#3 grady   Members   -  Reputation: 122

Like
Likes
Like

Posted 22 August 2001 - 01:00 AM

Your video card has to have support for at least 2 multi texturing units. geforce 256 has 2, radeons have 3, geforce 3 has 4 multi textruing units. I don''t know about any of the other cards. If you write a small app that uses more multitexturing units than the card supports your program will either bomb or you won''t see the effects of multitexturing, heh. So you could just try that.

#4 grady   Members   -  Reputation: 122

Like
Likes
Like

Posted 22 August 2001 - 01:08 AM

If you have or know someone who has the OpenGL SuperBible CD you could get the program from chapter 17 called "GLview" it shows you what extensions are supported and what video modes are supported. http://members.home.net/gradyfield/glview.jpg

Edited by - grady on August 22, 2001 8:09:29 AM

#5 zedzeek   Members   -  Reputation: 528

Like
Likes
Like

Posted 22 August 2001 - 09:40 AM

as others have said your card needs to be able to do the extension eg multitexture cant be done on a voodoo1 but it can be done on a voodoo2.
also your card manufactures driver should expose this functionality this is normally an ongoing process eg with the new nvidia drivers (which i thought were gonna be released last week prolly waiting now to coincide with the lanch of the radeon2 those bastards) a few new things will be exposed check the 1.3 spec for details (plus there might be others)

#6 Anonymous Poster_Anonymous Poster_*   Guests   -  Reputation:

Likes

Posted 22 August 2001 - 05:04 PM

Well that''s funny, it''s supported in voodoo2 but not on my voodoo3 that pisses me off, although i only have support for one type or two kinds GL_ARB_multitexture and GL_SGIS_multitexture.
Now when i run lesson22 on my comp, multitexting for me my card sucks i''m ready for a new one.




Old topic!
Guest, the last post of this topic is over 60 days old and at this point you may not reply in this topic. If you wish to continue this conversation start a new topic.



PARTNERS